Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  GC 370

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   GC 370 (496 mal gelesen)
Martin Breternitz
Mitglied
Bauingenieur / Verkehrsplaner

Sehen Sie sich das Profil von Martin Breternitz an!   Senden Sie eine Private Message an Martin Breternitz  Schreiben Sie einen Gästebucheintrag für Martin Breternitz

Beiträge: 8
Registriert: 01.11.2007

MS Win 7 Pro 64 bit SP 1
Dell OptiPlex 790
Intel i3 CPU 3.3GHz RAM 4GB
Nvidia GeForce 7100 GS
BricsCad 13

erstellt am: 19. Jan. 2015 16:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich möchte via Lisp die Objektlinienstärke auf VonLayer setzen. Dazu muss der Gruppencode 370 aus der Objektdefinitionsliste gelöscht werden. Die Modifikation der Liste funktioniert auch, jedoch wird die Änderung nach entmod / entupd nicht übernommen. Was mache ich falsch?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 19. Jan. 2015 16:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Martin Breternitz 10 Unities + Antwort hilfreich

Ersetze mit Subst den 370er gegen den gewünschten Wert - wird wohl-1 oder -2 sein, teste mal.
Also nicht entfernen sondern tauschen in der Entityliste,
vorher sicherstellen das auch einer vorhanden ist.

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

.

erstellt am: 20. Jan. 2015 07:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Martin Breternitz 10 Unities + Antwort hilfreich

(if(and(setq OBJ(car(entsel "\nOBJ wählen:")))
      (setq OBJ(entget OBJ))
      (setq OBJ(subst'(370 . -1)(assoc 370 OBJ)OBJ))
  )
  (entmod OBJ)
)

oder

(vl-load-com)
(and(setq OBJ(car(entsel "\nOBJ wählen:")))
    (setq OBJ(vlax-ename->vla-object OBJ))
    (vla-put-lineweight OBJ acLnWtByLayer)
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Martin Breternitz
Mitglied
Bauingenieur / Verkehrsplaner

Sehen Sie sich das Profil von Martin Breternitz an!   Senden Sie eine Private Message an Martin Breternitz  Schreiben Sie einen Gästebucheintrag für Martin Breternitz

Beiträge: 8
Registriert: 01.11.2007

MS Win 7 Pro 64 bit SP 1
Dell OptiPlex 790
Intel i3 CPU 3.3GHz RAM 4GB
Nvidia GeForce 7100 GS
BricsCad 13

erstellt am: 20. Jan. 2015 08:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ah, vielen herzlichen Dank! Es ist die -1. Danach wird der GC 370 automatisch wieder entfernt, deshalb wollte ich ihn löschen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz